Debian Bug report logs - #418163
util-linux: wish there was a blockdev-udeb

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Peter Nuttall <p.s.nuttall@dur.ac.uk>

Date: Mon, 2 Apr 2007 16:39:01 UTC

Severity: wishlist

Tags: d-i, moreinfo

Fixed in version busybox/1:1.17.1-7

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Peter Nuttall <p.s.nuttall@dur.ac.uk>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Nuttall <p.s.nuttall@dur.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: d-i destroyed existing raid device
Date: Mon, 02 Apr 2007 17:33:14 +0100
[Message part 1 (text/plain, inline)]
Package: debian-installer
Severity: critical
Justification: causes serious data loss


Hello,

I upgraded this morning by downloading the business card image and 
booting off it. I had / on an IDE disk, and /home on a raid1 device made 
up of two sata disks. On upgrade, it was my intention to let d-i 
partition the IDE disk, but hang on to /home. It appeared to do this. 
but reboot, I installed mdadm and attempted to assemble and mount 
/dev/md0. mdadm said that sdb was out of sync, and the kernel said that 
the device lacked superblocks. Testing with fsck -b showed that none of 
the backup superblocks was working.

D-I questions: I just pressed enter at the prompt, and set my keyboard 
and location to enGB. On reaching the disk stage, I asked it to set up 
hda as a LVM with / /home /tmp and /var on seperate paritions. On 
checking the result seemed to suggest no changes to /dev/sda or 
/dev/sdb. I have attached syslog and partman from /var/log/installer. 

If you have any questions, or I can help further, please ask. I'm psn on 
oftc. Any suggestions as to what I did wrong or how to recover would be 
really nice.

Thanks

Pete

-- System Information: Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-k7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
[partman.gz (application/octet-stream, attachment)]
[syslog.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Message #8 received at 417407@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Peter Nuttall <p.s.nuttall@dur.ac.uk>, 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Mon, 2 Apr 2007 18:45:46 +0200
[Message part 1 (text/plain, inline)]
also sprach Peter Nuttall <p.s.nuttall@dur.ac.uk> [2007.04.02.1833 +0200]:
> If you have any questions, or I can help further, please ask. I'm psn on 
> oftc. Any suggestions as to what I did wrong or how to recover would be 
> really nice.

Please also pass the output of

  /usr/share/bug/mdadm/script 3>&1

run as root. Note that RAID superblocks and fsck -b have nothing to
do with each other.

Do you have backups?

Did you do anything else to the partitions?

What does mdadm -E output for /dev/sd[ab]1 ?

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Peter Nuttall <p.s.nuttall@durham.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #13 received at 417407@bugs.debian.org (full text, mbox):

From: Peter Nuttall <p.s.nuttall@durham.ac.uk>
To: 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Mon, 2 Apr 2007 18:22:49 +0100
[Message part 1 (text/plain, inline)]
On Mon, Apr 02, 2007 at 06:45:46PM +0200, martin f krafft wrote:
> also sprach Peter Nuttall <p.s.nuttall@dur.ac.uk> [2007.04.02.1833 +0200]:
> > If you have any questions, or I can help further, please ask. I'm psn on 
> > oftc. Any suggestions as to what I did wrong or how to recover would be 
> > really nice.
> 
> Please also pass the output of
> 
>   /usr/share/bug/mdadm/script 3>&1
> 
> run as root. Note that RAID superblocks and fsck -b have nothing to
> do with each other.

Sorry, the superblocks in question are the ext3 superblocks. I have
attached the output.  

> 
> Do you have backups?  
>

Yes, but not of stuff I have been doing for the last week or so. There
are also large files that I don't have backups of, simply because I
don't have the space. So I can cope without recovery, but it would be
very nice to recover.


> Did you do anything else to the partitions?
> 

I don't recall doing anything else. 

> What does mdadm -E output for /dev/sd[ab]1 ?
> 

Attached.

Thanks for getting back to me so fast, 

Pete

> -- 
>  .''`.   martin f. krafft <madduck@debian.org>
> : :'  :  proud Debian developer, author, administrator, and user
> `. `'`   http://people.debian.org/~madduck - http://debiansystem.info
>   `-  Debian - when you have better things to do than fixing systems


[mdadm.txt (text/plain, attachment)]
[sda.txt (text/plain, attachment)]
[sdb.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 417407@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Peter Nuttall <p.s.nuttall@dur.ac.uk>, 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Mon, 02 Apr 2007 20:07:35 +0200
[Message part 1 (text/plain, inline)]
On Monday 02 April 2007 18:33, Peter Nuttall wrote:
> D-I questions: I just pressed enter at the prompt, and set my keyboard
> and location to enGB. On reaching the disk stage, I asked it to set up
> hda as a LVM with / /home /tmp and /var on seperate paritions. On
> checking the result seemed to suggest no changes to /dev/sda or
> /dev/sdb. I have attached syslog and partman from /var/log/installer.

This seems correct to me.  Guided partitioning on hda should in no way
affect the two SATA disks, and the partman log at least shows they are
unchanged at the end.

At start of partitioning
========================
parted_server: OUT: 1	32256-300066439679	300066407424	primary	ext3	/dev/scsi/host1/bus0/target0/lun0/part1	
parted_server: OUT: 1	32256-300066439679	300066407424	primary	ext3	/dev/scsi/host3/bus0/target0/lun0/part1	

At end of partitioning
========================
parted_server: OUT: 1	32256-300066439679	300066407424	primary	ext3	/dev/scsi/host1/bus0/target0/lun0/part1	
parted_server: OUT: 1	32256-300066439679	300066407424	primary	ext3	/dev/scsi/host3/bus0/target0/lun0/part1	

I do similar partitioning myself sometimes and have never seen changes
to another disk than the one selected.

the next possibility I considered that the installation of the boot loader
could have gone wrong: that grub could have thought that one of the SATA
disks was "the first disk in the system" instead of the IDE disk. However,
the syslog shows that went correctly as well:
Apr  2 11:04:17 grub-installer: info: Installing grub on '(hd0)'
[...]
Apr  2 11:04:25 grub-installer: (hd0)^I/dev/hda
Apr  2 11:04:25 grub-installer: (hd1)^I/dev/sda
Apr  2 11:04:25 grub-installer: (hd2)^I/dev/sdb

(And even if the wrong disk was selected, I don't think it would have
affected the RAID.)

However, the syslog does show some strange activity while the installer is
probing for other operating systems:
Apr  2 10:45:49 os-prober: debug: running /usr/lib/os-probes/50mounted-tests on /dev/discs/disc1/part1
Apr  2 10:45:48 kernel: EXT2-fs: sdb1: couldn't mount because of unsupported optional features (4).
Apr  2 10:45:48 kernel: EXT3-fs: INFO: recovery required on readonly filesystem.
Apr  2 10:45:48 kernel: EXT3-fs: write access will be enabled during recovery.
Apr  2 10:45:48 kernel: kjournald starting.  Commit interval 5 seconds
Apr  2 10:45:48 kernel: EXT3-fs: recovery complete.
Apr  2 10:45:48 kernel: EXT3-fs: mounted filesystem with ordered data mode.
Apr  2 10:45:48 50mounted-tests: debug: mounted as ext3 filesystem
[...]
Apr  2 10:45:49 os-prober: debug: running /usr/lib/os-probes/50mounted-tests on /dev/discs/disc1/part1
Apr  2 10:45:49 kernel: EXT2-fs: sda1: couldn't mount because of unsupported optional features (4).
Apr  2 10:45:49 kernel: EXT3-fs: INFO: recovery required on readonly filesystem.
Apr  2 10:45:49 kernel: EXT3-fs: write access will be enabled during recovery.
Apr  2 10:45:49 kernel: kjournald starting.  Commit interval 5 seconds
Apr  2 10:45:49 kernel: EXT3-fs: recovery complete.
Apr  2 10:45:49 kernel: EXT3-fs: mounted filesystem with ordered data mode.
Apr  2 10:45:49 50mounted-tests: debug: mounted as ext3 filesystem
[...]
Apr  2 11:04:14 os-prober: debug: running /usr/lib/os-probes/50mounted-tests on /dev/discs/disc1/part1
Apr  2 11:04:14 kernel: EXT2-fs warning (device sda1): ext2_fill_super: mounting ext3 filesystem as ext2
Apr  2 11:04:14 50mounted-tests: debug: mounted as ext2 filesystem
[...]
Apr  2 11:04:14 os-prober: debug: running /usr/lib/os-probes/50mounted-tests on /dev/discs/disc2/part1
Apr  2 11:04:14 kernel: EXT2-fs warning (device sdb1): ext2_fill_super: mounting ext3 filesystem as ext2
Apr  2 11:04:14 50mounted-tests: debug: mounted as ext2 filesystem

I have no idea what this means exactly. I suggest asking a file system
expert look at this.

The only advise I can give ATM is not to panic and not to take hasty actions.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Jim Paris <jim@jtan.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 417407@bugs.debian.org (full text, mbox):

From: Jim Paris <jim@jtan.com>
To: Frans Pop <elendil@planet.nl>, 417407@bugs.debian.org
Cc: Peter Nuttall <p.s.nuttall@dur.ac.uk>
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Mon, 2 Apr 2007 14:45:42 -0700
Frans Pop wrote:
> However, the syslog does show some strange activity while the installer is
> probing for other operating systems:
[...]
> Apr  2 10:45:48 kernel: EXT2-fs: sdb1: couldn't mount because of unsupported optional features (4).
> Apr  2 10:45:48 kernel: EXT3-fs: INFO: recovery required on readonly filesystem.
> Apr  2 10:45:48 kernel: EXT3-fs: write access will be enabled during recovery.
[...]
> Apr  2 10:45:49 kernel: EXT2-fs: sda1: couldn't mount because of unsupported optional features (4).
> Apr  2 10:45:49 kernel: EXT3-fs: INFO: recovery required on readonly filesystem.
> Apr  2 10:45:49 kernel: EXT3-fs: write access will be enabled during recovery.

If those two disks were part of a RAID mirror and they were written to
individually, they could end up inconsistent, which may have caused
problems with the RAID later?

-jim



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Message #26 received at 417407@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Peter Nuttall <p.s.nuttall@durham.ac.uk>, 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Mon, 2 Apr 2007 23:46:02 +0200
[Message part 1 (text/plain, inline)]
Can you force-start the degraded array, using something like

  mdadm --assemble --auto=yes --force /dev/md0 /dev/sd[ab]1
  mdadm --run /dev/md0

?

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Peter Nuttall <p.s.nuttall@durham.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 417407@bugs.debian.org (full text, mbox):

From: Peter Nuttall <p.s.nuttall@durham.ac.uk>
To: 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Mon, 2 Apr 2007 23:20:32 +0100
On Mon, Apr 02, 2007 at 11:46:02PM +0200, martin f krafft wrote:
> Can you force-start the degraded array, using something like
> 
>   mdadm --assemble --auto=yes --force /dev/md0 /dev/sd[ab]1
>   mdadm --run /dev/md0
> 
> ?
> 
> -- 
>  .''`.   martin f. krafft <madduck@debian.org>
> : :'  :  proud Debian developer, author, administrator, and user
> `. `'`   http://people.debian.org/~madduck - http://debiansystem.info
>   `-  Debian - when you have better things to do than fixing systems

mdadm --assemble /dev/md0 works, as does your command above. The array
is fine after resyncing, its just its contents that are gone. 

Pete



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Message #34 received at 417407@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Peter Nuttall <p.s.nuttall@durham.ac.uk>, 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 08:53:24 +0200
[Message part 1 (text/plain, inline)]
also sprach Peter Nuttall <p.s.nuttall@durham.ac.uk> [2007.04.03.0020 +0200]:
> mdadm --assemble /dev/md0 works, as does your command above. The
> array is fine after resyncing, its just its contents that are
> gone. 

I honestly have no idea what could have gone wrong. Can you check
whether the array's UUID (mdadm -D /dev/md0) was changed or whether
it's still the same as before the disaster? /etc/mdadm/mdadm.conf
should list it.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 417407@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Frans Pop <elendil@planet.nl>
Cc: Peter Nuttall <p.s.nuttall@dur.ac.uk>, 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 10:20:56 +0200
Hi,

Frans Pop, le Mon 02 Apr 2007 20:07:35 +0200, a écrit :
> Apr  2 10:45:49 os-prober: debug: running /usr/lib/os-probes/50mounted-tests on /dev/discs/disc1/part1
> Apr  2 10:45:48 kernel: EXT2-fs: sdb1: couldn't mount because of unsupported optional features (4).
> Apr  2 10:45:48 kernel: EXT3-fs: INFO: recovery required on readonly filesystem.
> Apr  2 10:45:48 kernel: EXT3-fs: write access will be enabled during recovery.
> Apr  2 10:45:48 kernel: kjournald starting.  Commit interval 5 seconds
> Apr  2 10:45:48 kernel: EXT3-fs: recovery complete.
> Apr  2 10:45:48 kernel: EXT3-fs: mounted filesystem with ordered data mode.
> Apr  2 10:45:48 50mounted-tests: debug: mounted as ext3 filesystem

This looks to me like the culprit: for trying to probe other OSes,
read-only mounts are performed. But here it looks like os-prober didn't
know about the RAID array, and tried to mount devices separately, the
result is that the EXT3-fs driver thinks it is a bit broken, and tries
to _fix_ it, i.e. write things on the volume!

Unfortunately, there doesn't seem to be any option for disabling that:
ext3 disables it only if the device itself is read-only...

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Message #42 received at 417407@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Jim Paris <jim@jtan.com>
Cc: Frans Pop <elendil@planet.nl>, 417407@bugs.debian.org, Peter Nuttall <p.s.nuttall@dur.ac.uk>
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 10:28:24 +0200
[Message part 1 (text/plain, inline)]
also sprach Jim Paris <jim@jtan.com> [2007.04.02.2345 +0200]:
> If those two disks were part of a RAID mirror and they were
> written to individually, they could end up inconsistent, which may
> have caused problems with the RAID later?

Absolutely. Now we need to figure out how to get from here to an
empty data partition.

After the mount, both of sd[ab]1 would have to be recovered and
usable, but out of sync. So when the raid was force-reassembled, md
would sync the older from the newer. This should, in my book, result
in a valid and full filesystem.

I would assume that the fsck -b run then somehow screwed up the
data. Maybe it's even a bug in fsck -b.

And the other question of course is why the kernel decided it had
any business doing recovery on an fs that was marked for ro mount.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Message #45 received at 417407@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Jim Paris <jim@jtan.com>
Cc: Frans Pop <elendil@planet.nl>, 417407@bugs.debian.org, Peter Nuttall <p.s.nuttall@dur.ac.uk>
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 10:39:26 +0200
[Message part 1 (text/plain, inline)]
also sprach martin f krafft <madduck@debian.org> [2007.04.03.1028 +0200]:
> After the mount, both of sd[ab]1 would have to be recovered and
> usable, but out of sync.

Actually, as Sesse claims, it's entirely likely that md didn't think
the partitions were out of sync. That would explain some pretty bad
data screwage. But an empty filesystem?

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 417407@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: martin f krafft <madduck@debian.org>, 417407@bugs.debian.org
Cc: Jim Paris <jim@jtan.com>, Frans Pop <elendil@planet.nl>, Peter Nuttall <p.s.nuttall@dur.ac.uk>
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 02:11:22 -0700
On Tue, Apr 03, 2007 at 10:39:26AM +0200, martin f krafft wrote:
> also sprach martin f krafft <madduck@debian.org> [2007.04.03.1028 +0200]:
> > After the mount, both of sd[ab]1 would have to be recovered and
> > usable, but out of sync.

> Actually, as Sesse claims, it's entirely likely that md didn't think
> the partitions were out of sync. That would explain some pretty bad
> data screwage. But an empty filesystem?

Checkpoint of the IRC discussion:

- The submitter says that after reboot, the RAID was reported as out of
  sync.
- The logs show that the ext3 filesystem was automatically mounted rw for
  journal recovery by the kernel driver.
- There is no evidence in the logs that the RAID was ever assembled within
  d-i, so it shouldn't be the case that the RAID superblocks were out of
  sync as a result of d-i itself.
- This leaves two possible reasons for the out-of-sync state of the RAID:
  either mounting the individual partitions as ext3 filesystems somehow
  overwrote the RAID superblock just the right way (unlikely since it would
  require the ext3 driver to write past the end of the declared filesystem),
  or the RAID superblocks were out of sync /before/ booting d-i.  The latter
  is consistent with the fact that the ext3 driver had to do a journal
  recovery, suggesting that both the ext3 fs and the RAID were not cleanly
  shut down.
- If mounting as ext3 overwrote the RAID superblock, that seems to be a
  kernel bug, and we have no good explanation for how that would happen.
- If the RAID was unclean before booting d-i, all bets are off as to the
  state of the filesystem at the beginning of this journal recovery, and it
  may be difficult to ever reproduce this bug.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Peter Nuttall <p.s.nuttall@durham.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 417407@bugs.debian.org (full text, mbox):

From: Peter Nuttall <p.s.nuttall@durham.ac.uk>
To: 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 10:31:03 +0100
On Tue, Apr 03, 2007 at 08:53:24AM +0200, martin f krafft wrote:
> also sprach Peter Nuttall <p.s.nuttall@durham.ac.uk> [2007.04.03.0020 +0200]:
> > mdadm --assemble /dev/md0 works, as does your command above. The
> > array is fine after resyncing, its just its contents that are
> > gone. 
> 
> I honestly have no idea what could have gone wrong. Can you check
> whether the array's UUID (mdadm -D /dev/md0) was changed or whether
> it's still the same as before the disaster? /etc/mdadm/mdadm.conf
> should list it.
> 

the UUIDs match, but the backup of /etc from before the upgrade is
sitting in /home... So I can't tell you if it matches the pre-etch
UUID. 

Pete

> -- 
>  .''`.   martin f. krafft <madduck@debian.org>
> : :'  :  proud Debian developer, author, administrator, and user
> `. `'`   http://people.debian.org/~madduck - http://debiansystem.info
>   `-  Debian - when you have better things to do than fixing systems





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 417407@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: martin f krafft <madduck@debian.org>, 417407@bugs.debian.org
Cc: Jim Paris <jim@jtan.com>, Frans Pop <elendil@planet.nl>, Peter Nuttall <p.s.nuttall@dur.ac.uk>
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 10:59:48 +0200
On Tue, Apr 03, 2007 at 10:39:26AM +0200, martin f krafft wrote:
>> After the mount, both of sd[ab]1 would have to be recovered and
>> usable, but out of sync.
> Actually, as Sesse claims, it's entirely likely that md didn't think
> the partitions were out of sync. That would explain some pretty bad
> data screwage. But an empty filesystem?

A different scenario might be a write-intent bitmap (--bitmap= to mdadm). Do
you use such a thing?

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Peter Nuttall <p.s.nuttall@durham.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 417407@bugs.debian.org (full text, mbox):

From: Peter Nuttall <p.s.nuttall@durham.ac.uk>
To: 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 11:11:10 +0100
On Tue, Apr 03, 2007 at 10:59:48AM +0200, Steinar H. Gunderson wrote:
> On Tue, Apr 03, 2007 at 10:39:26AM +0200, martin f krafft wrote:
> >> After the mount, both of sd[ab]1 would have to be recovered and
> >> usable, but out of sync.
> > Actually, as Sesse claims, it's entirely likely that md didn't think
> > the partitions were out of sync. That would explain some pretty bad
> > data screwage. But an empty filesystem?
> 
> A different scenario might be a write-intent bitmap (--bitmap= to mdadm). Do
> you use such a thing?

No, 

Pete


> 
> /* Steinar */
> -- 
> Homepage: http://www.sesse.net/
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 417407@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Peter Nuttall <p.s.nuttall@dur.ac.uk>, 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 03 Apr 2007 12:25:17 +0200
[Message part 1 (text/plain, inline)]
On Monday 02 April 2007 18:33, Peter Nuttall wrote:
> D-I questions: I just pressed enter at the prompt, and set my keyboard
> and location to enGB. On reaching the disk stage, I asked it to set up
> hda as a LVM with / /home /tmp and /var on seperate paritions. On
> checking the result seemed to suggest no changes to /dev/sda or
> /dev/sdb. I have attached syslog and partman from /var/log/installer.

I have tried to reproduce this issue in vmware, but so far have been 
unable to do so.

- started with clean system with 1 IDE and 2 SCSI disks
- installed Etch with /home on RAID1 as only filesystem on SCSI disks
- copied /usr/share/doc into $HOME

I then rebooted the system cleanly and did another install; this did not 
reproduce the os-prober messages. After that install there were no 
problems: installing mdadm made the RAID available without any problems.

I then did a forced shut down the system so that the file systems would 
not be marked clean. This did reproduce the messages during a new install 
while os-prober was run (same for both partitions):
os-prober: debug: running /usr/lib/os-probes/50mounted-tests 
on /dev/discs/disc1/part1
kernel: EXT2-fs: sda1: couldn't mount because of unsupported optional 
features (4).
kernel: EXT3-fs: INFO: recovery required on readonly filesystem.
kernel: EXT3-fs: write access will be enabled during recovery.
kernel: kjournald starting.  Commit interval 5 seconds
kernel: EXT3-fs: recovery complete.
kernel: EXT3-fs: mounted filesystem with ordered data mode.
50mounted-tests: debug: mounted as ext3 filesystem
[...]
os-prober: debug: running /usr/lib/os-probes/50mounted-tests 
on /dev/discs/disc1/part1
kernel: EXT2-fs warning (device sda1): ext2_fill_super: mounting ext3 
filesystem as ext2
50mounted-tests: debug: mounted as ext2 filesystem

After the reboot I again installed mdadm. However, I could not reproduce 
any problems during this: the RAID was not out of sync, was assembled 
normally and after mounting it all data was there.

My conclusion is that by itself the fact that os-prober mounts the 
partitions that make up a RAID1 does not damage anything, even if they 
were not unmounted cleanly before.

The real question here seems to be: why were the partitions unclean before 
the installation was started.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 417407@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Frans Pop <elendil@planet.nl>, 417407@bugs.debian.org
Cc: Peter Nuttall <p.s.nuttall@dur.ac.uk>
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 13:28:31 -0700
On Tue, Apr 03, 2007 at 12:25:17PM +0200, Frans Pop wrote:
> After the reboot I again installed mdadm. However, I could not reproduce 
> any problems during this: the RAID was not out of sync,

In that case, I would say that the test did not accurately model the
submitter's circumstances.

To increase the chances of getting an out-of-sync RAID at this point, could
you try copying a lot of files around in the vm, and *then* killing it in
the middle of that copy operation?  The RAID will after all only be
out-of-sync if there was a write operation in progress that was interrupted
before it was copied to both disks.

> My conclusion is that by itself the fact that os-prober mounts the 
> partitions that make up a RAID1 does not damage anything, even if they 
> were not unmounted cleanly before.

> The real question here seems to be: why were the partitions unclean before 
> the installation was started.

I tend to agree, but I would appreciate seeing results from this one last
test as described above before downgrading this bug...

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 417407@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: martin f krafft <madduck@debian.org>, 417407@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Cc: Jim Paris <jim@jtan.com>, Frans Pop <elendil@planet.nl>, Peter Nuttall <p.s.nuttall@dur.ac.uk>
Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
Date: Tue, 3 Apr 2007 19:26:25 +0200
Hi,

martin f krafft, le Tue 03 Apr 2007 10:28:24 +0200, a écrit :
> And the other question of course is why the kernel decided it had
> any business doing recovery on an fs that was marked for ro mount.

Because it always do so, see linux/fs/ext3/super.c:ext3_load_journal():
even if the mount is read-only, the journal is recovered. If (but only
if) the device itself is read-only, then nothing is written back to the
disk. Ext3 clearly lacks xfs' norecovery mount option.

Steve Langasek, le Tue 03 Apr 2007 02:11:22 -0700, a écrit :
> - The logs show that the ext3 filesystem was automatically mounted rw for
>   journal recovery by the kernel driver.

Not mounted rw, but mounted ro with journal recovery.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to "Alex Owen" <r.alex.owen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #85 received at 417407@bugs.debian.org (full text, mbox):

From: "Alex Owen" <r.alex.owen@gmail.com>
To: 417407@bugs.debian.org
Subject: Re: Bug#417407: debian-installer: possible workarounds for "d-i destroyed existing raid device"
Date: Wed, 4 Apr 2007 08:57:55 +0100
Cut and paste from BTS web interface so sorry for the formatting!

>From: Samuel Thibault <samuel.thibault@ens-lyon.org>
>Subject: Re: Bug#417407: debian-installer: d-i destroyed existing raid device
>Date: Tue, 3 Apr 2007 19:26:25 +0200
>
>Hi,
>
>martin f krafft, le Tue 03 Apr 2007 10:28:24 +0200, a écrit :
>> And the other question of course is why the kernel decided it had
>> any business doing recovery on an fs that was marked for ro mount.
>Because it always do so, see linux/fs/ext3/super.c:ext3_load_journal():
>even if the mount is read-only, the journal is recovered. If (but only
>if) the device itself is read-only, then nothing is written back to the
>disk. Ext3 clearly lacks xfs' norecovery mount option.

I can think of two possible workarounds for this. NB: I have not
looked at the code but I'm just thinking out loud.

[1] at the partitioner stage configure md devices... IIRC this should
recognize the preexisting device. Then mark the device to be mounted
at /home (or /oldhome for the ultra paranoid) and markit to be left
alone (ie not formatted). _Presumably_ os-prober would then ignore the
md device and it's components when looking for other OS's.

[2] wrap the mount/umount sections of code in os-prober with calls to
blockdev to set the block device readonly (and restore old perms on
umount). This would side step the deficiencies in the "unconditional
ext3 journal recovery code". (but this would need a block-dev udeb
added to util-linux source)

Just some thoughts...
Alex Owen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 417407@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 417407@bugs.debian.org, 417407-submitter@bugs.debian.org
Subject: Re: debian-installer: d-i destroyed existing raid device
Date: Wed, 4 Apr 2007 18:58:35 -0700
severity 417407 important
thanks

At this point, there is a lack of evidence showing that this data loss was
caused by os-prober.  There is, however, evidence that the RAID was in an
inconsistent state before debian-installer ever looked at it -- more
inconsistent than the d-i team was able to forcibly achieve in testing.

Since we no one seems to have any leads on a way forward on this issue, I
don't think it's reasonable to treat it as "critical".  Of course, if
someone does identify a cause for this bug in debian-installer, it would be
reasonable to fix it at the next possible moment.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Severity set to `important' from `critical' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2007 02:00:03 GMT) Full text and rfc822 format available.

Message sent on to Peter Nuttall <p.s.nuttall@dur.ac.uk>:
Bug#417407. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to "Alex Owen" <r.alex.owen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #100 received at 417407@bugs.debian.org (full text, mbox):

From: "Alex Owen" <r.alex.owen@gmail.com>
To: 417407@bugs.debian.org
Subject: Re: Improve safety of os-prober by ignoring active swap and using "blockdev --setro" when available
Date: Sat, 7 Apr 2007 15:27:59 +0100
[Message part 1 (text/plain, inline)]
OK here is the patch!

On 07/04/07, Alex Owen <r.alex.owen@gmail.com> wrote:
> Attached is a patch to os-prober to:
> (1) make it ignore active swap
> [Changes in: os-prober/os-prober]
>
> (2) if blockdev is available then use it to set partitions read-only
> before mounting to work arround a "feature" of ext3 and possible other
> journaled filesystems!
> [Changes in: os-prober/os-probes/common/50mounted-tests]
>
[os-prober.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#417407; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to "Alex Owen" <r.alex.owen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #105 received at 417407@bugs.debian.org (full text, mbox):

From: "Alex Owen" <r.alex.owen@gmail.com>
To: 417407@bugs.debian.org
Subject: Improve safety of os-prober by ignoring active swap and using "blockdev --setro" when available
Date: Sat, 7 Apr 2007 15:26:11 +0100
clone 417407 -1
reassign -1 util-linux
retitle -1 util-linux: wish there was a blockdev-udeb
severity -1 wishlist
reassign 417407 os-prober
tags  417407 +patch
retitle 417407 os-prober: protect partitions with "blockdev --setro"
when available
thanks

Attached is a patch to os-prober to:
(1) make it ignore active swap
[Changes in: os-prober/os-prober]

(2) if blockdev is available then use it to set partitions read-only
before mounting to work arround a "feature" of ext3 and possible other
journaled filesystems!
[Changes in: os-prober/os-probes/common/50mounted-tests]

I do not claim to have tested the patch. I have tried to write the
patch so that (2) does nothing if blockdev is not there... Perhaps
this means the deb should recommend util-linux while the udeb could
require blockdev-udeb?

I have cloned this bug as a wishlist against util-linux requesting a
blockdev-udeb.

Regards
Alex Owen



Bug 417407 cloned as bug 418163. Request was from "Alex Owen" <r.alex.owen@gmail.com> to control@bugs.debian.org. (Sat, 07 Apr 2007 14:33:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `debian-installer' to `util-linux'. Request was from "Alex Owen" <r.alex.owen@gmail.com> to control@bugs.debian.org. (Sat, 07 Apr 2007 14:33:07 GMT) Full text and rfc822 format available.

Changed Bug title to util-linux: wish there was a blockdev-udeb from debian-installer: d-i destroyed existing raid device. Request was from "Alex Owen" <r.alex.owen@gmail.com> to control@bugs.debian.org. (Sat, 07 Apr 2007 14:33:08 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `important' Request was from "Alex Owen" <r.alex.owen@gmail.com> to control@bugs.debian.org. (Sat, 07 Apr 2007 14:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#418163; Package util-linux. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #118 received at 418163@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 418163@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#417407: Improve safety of os-prober by ignoring active swap and using "blockdev --setro" when available
Date: Sat, 07 Apr 2007 16:46:47 +0200
[Message part 1 (text/plain, inline)]
tags 418163 + d-i moreinfo
block 417407 with 418163
thanks

> I have cloned this bug as a wishlist against util-linux requesting a
> blockdev-udeb.

Please do not act on this BR until we (the D-I team) confirm that we 
really want this udeb.

If you can provide any information on whether the solution proposed in 
#417407 is feasible and the correct way to go about solving this issue, 
that would be most welcome.

Note that despite serious attempts we have not been able to reproduce the 
original issue, so it is not even completely certain that a patch is 
required at all.

Thanks,
Frans Pop
D-I Release Manager
[Message part 2 (application/pgp-signature, inline)]

Tags added: d-i, moreinfo Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 07 Apr 2007 14:48:13 GMT) Full text and rfc822 format available.

Blocking bugs of 417407 added: 418163 Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 07 Apr 2007 14:48:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#418163; Package util-linux. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #127 received at 418163@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: debian-boot@lists.debian.org
Cc: 418163@bugs.debian.org
Subject: Re: Bug#417407: Improve safety of os-prober by ignoring active swap and using "blockdev --setro" when available
Date: Sat, 07 Apr 2007 12:23:07 -0300
Frans Pop <elendil@planet.nl> writes:

> Note that despite serious attempts we have not been able to reproduce the 
> original issue, so it is not even completely certain that a patch is 
> required at all.

While I do agree that we're not yet sure that this patch is _required_
I do support its inclusion since it would make the os-prober _really_ a
readonly operation avoiding further possible issues.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."



Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#418163; Package util-linux. (Tue, 09 Nov 2010 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Tue, 09 Nov 2010 10:39:04 GMT) Full text and rfc822 format available.

Message #132 received at 418163@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Otavio Salvador <otavio@debian.org>
Cc: debian-boot@lists.debian.org, 418163@bugs.debian.org
Subject: Re: Bug#417407: Improve safety of os-prober by ignoring active swap and using "blockdev --setro" when available
Date: Tue, 9 Nov 2010 10:34:24 +0000
reassign 418163 busybox
thanks

On Sat, Apr 07, 2007 at 12:23:07PM -0300, Otavio Salvador wrote:
> Frans Pop <elendil@planet.nl> writes:
> > Note that despite serious attempts we have not been able to reproduce the 
> > original issue, so it is not even completely certain that a patch is 
> > required at all.
> 
> While I do agree that we're not yet sure that this patch is _required_
> I do support its inclusion since it would make the os-prober _really_ a
> readonly operation avoiding further possible issues.

(Recent d-i team meeting discussion indicates that this is currently
considered a bug we very much want to fix for squeeze.)

blockdev was added to busybox upstream in early September.  I think the
best path forward for this bug is to backport that applet, which should
be straightforward.  I'm working on this now, and will then review
Alex's patch.

-- 
Colin Watson                                       [cjwatson@debian.org]




Bug reassigned from package 'util-linux' to 'busybox'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Tue, 09 Nov 2010 10:39:10 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 09 Nov 2010 13:21:03 GMT) Full text and rfc822 format available.

Notification sent to Peter Nuttall <p.s.nuttall@dur.ac.uk>:
Bug acknowledged by developer. (Tue, 09 Nov 2010 13:21:03 GMT) Full text and rfc822 format available.

Message #139 received at 418163-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 418163-close@bugs.debian.org
Subject: Bug#418163: fixed in busybox 1:1.17.1-7
Date: Tue, 09 Nov 2010 13:17:30 +0000
Source: busybox
Source-Version: 1:1.17.1-7

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.17.1-7_i386.deb
  to main/b/busybox/busybox-static_1.17.1-7_i386.deb
busybox-syslogd_1.17.1-7_all.deb
  to main/b/busybox/busybox-syslogd_1.17.1-7_all.deb
busybox-udeb_1.17.1-7_i386.udeb
  to main/b/busybox/busybox-udeb_1.17.1-7_i386.udeb
busybox_1.17.1-7.debian.tar.gz
  to main/b/busybox/busybox_1.17.1-7.debian.tar.gz
busybox_1.17.1-7.dsc
  to main/b/busybox/busybox_1.17.1-7.dsc
busybox_1.17.1-7_i386.deb
  to main/b/busybox/busybox_1.17.1-7_i386.deb
udhcpc_1.17.1-7_all.deb
  to main/b/busybox/udhcpc_1.17.1-7_all.deb
udhcpd_1.17.1-7_all.deb
  to main/b/busybox/udhcpd_1.17.1-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418163@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 09 Nov 2010 12:33:35 +0000
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all i386
Version: 1:1.17.1-7
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 418163
Changes: 
 busybox (1:1.17.1-7) unstable; urgency=low
 .
   * Backport blockdev applet from upstream, so that we can use it in
     os-prober (closes: #418163).
Checksums-Sha1: 
 009f2670935706f1cff0caffe6e79277e9c0ede8 1833 busybox_1.17.1-7.dsc
 766a7b87ad9b1cd526bd23ec6db4d7c15319a878 65703 busybox_1.17.1-7.debian.tar.gz
 47b2043e9fbffe5499e1c0d0376ab4ee2d730e87 13482 busybox-syslogd_1.17.1-7_all.deb
 f99e95e023ea93145893d470b5bd145bc9a88353 11084 udhcpc_1.17.1-7_all.deb
 84b5c141dbbf2adfc9116a9d567d6a11ad833209 14384 udhcpd_1.17.1-7_all.deb
 9fc6289e40513460b249456a834e648966019bb4 291928 busybox_1.17.1-7_i386.deb
 28a532f790dd2115bcc4ac6a7086fc157ae6e1b9 729932 busybox-static_1.17.1-7_i386.deb
 589322056168e67eb63f7ad3acb2f2beda7e4baa 134424 busybox-udeb_1.17.1-7_i386.udeb
Checksums-Sha256: 
 a34915e25f21b48662a5bbb9c59f795e49ccee07e72455a67da863ca9b4eef70 1833 busybox_1.17.1-7.dsc
 a47874fdb9a875f90cdca31b8fd219e888f846dadce4b982f7494b4e89465b75 65703 busybox_1.17.1-7.debian.tar.gz
 847f8cd6ff81fa7e13e05af3bee82eef0ba93170a06e30382a53dbf71e881519 13482 busybox-syslogd_1.17.1-7_all.deb
 bc69b324864bcc5716c0cab48a1e76aa845aae341fac9f428802038f82d32e8b 11084 udhcpc_1.17.1-7_all.deb
 e8024568db3e9b6b46e2ac1bb9c626102c8aea303d3b1721089d85896e9e22a9 14384 udhcpd_1.17.1-7_all.deb
 b30fc44718060ceeada7e1720d01983404473d8c8ae3c2cf637c79094c183c82 291928 busybox_1.17.1-7_i386.deb
 67609866f0c78e67df93e243be445cc9b8b689892f45f8f02ae35bedc5b46f93 729932 busybox-static_1.17.1-7_i386.deb
 1c91ef6fb8b35082b3de508c5dec12d365f8f51873dab45f883418e59bd939af 134424 busybox-udeb_1.17.1-7_i386.udeb
Files: 
 9ac02f74b6cd0973156c86c8f0b64cd5 1833 utils optional busybox_1.17.1-7.dsc
 9054540019bd9741f78e0fc2c59f99aa 65703 utils optional busybox_1.17.1-7.debian.tar.gz
 1e89713d59124e4cc7bcd81c673b910e 13482 utils optional busybox-syslogd_1.17.1-7_all.deb
 174f35fa92c1ac8dcae2a1fff3583499 11084 utils optional udhcpc_1.17.1-7_all.deb
 5d0c7de7034bc4edd77b31850eedff4a 14384 utils optional udhcpd_1.17.1-7_all.deb
 e216bf1faa0b6790debbb3c099a6f271 291928 utils optional busybox_1.17.1-7_i386.deb
 2690d585141fc46e9f7f319e65a59c83 729932 shells extra busybox-static_1.17.1-7_i386.deb
 b5e711a070c4ef4c4f635ab955c3cfcf 134424 debian-installer extra busybox-udeb_1.17.1-7_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTNlFvzk1h9l9hlALAQhx0g//ZtqW8yTL2XFMiU6dv3p2GB3bc1IZk2SG
Yr5QtKKN+Np5QuOMMH873WajfETVaIHC/d32KzdVZZ5dx7kRWw2bY2m1tvTF29VT
KpPfsNVPm4Ep00uYQuwQWMUyLswYqYL7zZ69LB4zVGL8ei3FR7pWfY+c7HRtXGlZ
ZIbXAK2/yXX40U/KZ+N8aHTkjCy4prKT+SB+X0GLEaULvkJHkJ2cKC9TF3BP7uQP
tJkEkYarkIXCf3vHV/IPq/T+AORv49rYm4BTXH7AJIv14UEaCbn5uZUFUhKplL5l
L/v5wUo/oiUKCL4VPIQiudzHax2OznR63G9DFGFkVv8sFFIWtfw+zTtdb5jA05Z7
Pj5dLL6PsYGBmwEljbYEorNAb800Yc/2lOqbnPsRnUGtIkGNScGRdyW85zCDWfhP
gGX+FnewNlRRXiMk3OLBMmzDH0OdSoTPMkY6nHjlwZxNm0a6QFTm2hUXQ9pMf5nw
MEc+WoCap6m+tkBwZeTO5k5mAbR3y8fZdRT9DfrhihPSh2jL1CUpM7gTaignumum
opwUf4Bm6B+KXXZgNP8N3qqwSmvaA9JKphnZ/r6FWqDXv90A+O7KObrKcd2PvuSy
KEBw+SQErztiYt3KJlCmhToa4b4pjHjpgH0RErK3gJICqYU6dH8DiOzwhlg3mhwa
oUHqaPZY94c=
=WLk1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Dec 2010 07:33:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:08:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.